%define _libexecdir %_prefix/libexec/PolicyKit

Name: PolicyKit-gnome
Version: 0.9.2
Release: alt4

Summary: PolicyKit integration for the GNOME desktop
License: GPLv2+
Group: System/Libraries
Url: http://git.gnome.org/cgit/PolicyKit-gnome/

Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Requires: PolicyKit
Requires: lib%name = %version-%release

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): libGConf-devel rpm-build-gnome
BuildRequires: GConf desktop-file-utils gnome-common gtk-doc intltool libdbus-glib-devel libgtk+2-devel libpolkit-devel

%description
PolicyKit-gnome provides a GNOME integration library and tools for
PolicyKit including an Authentication Agent that matches the look and
feel of the GNOME desktop.

%package demo
Summary: Demo application for PolicyKit-gnome
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description demo
Policy-gnome-demo provides a sample application that demonstrates the
features of both PolicyKit and PolicyKit-gnome. You normally don't
want to have this package installed.

%package -n lib%name
License: LGPLv2+
Summary: PolicyKit-gnome libraries
Group: System/Libraries

%description -n lib%name
Libraries provided by PolicyKit-gnome

%package -n lib%name-devel
License: LGPLv2+
Summary: Headers, libraries and API docs for PolicyKit-gnome
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides headers, libraries and API docs for
PolicyKit-gnome.

%prep
%setup -q
%patch -p1

%build
gnome-doc-prepare -f
gtkdocize
%autoreconf
%configure  \
	--disable-static \
	--enable-examples \
	--enable-gtk-doc
%make_build

%install
%make DESTDIR=%buildroot install

desktop-file-install --delete-original  \
	--dir %buildroot%_datadir/applications \
	--remove-only-show-in=GNOME \
	%buildroot%_datadir/applications/polkit-gnome-authorization.desktop

%find_lang %name

%post
%gconf2_install polkit-gnome

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall polkit-gnome
fi

%files -f %name.lang
%doc README AUTHORS NEWS COPYING HACKING TODO
%config %_sysconfdir/gconf/schemas/polkit-gnome.schemas
%_bindir/polkit-gnome-authorization
%_libexecdir/polkit-gnome-manager
%_datadir/dbus-1/services/org.gnome.PolicyKit.service
%_datadir/dbus-1/services/org.gnome.PolicyKit.AuthorizationManager.service
%_datadir/dbus-1/services/gnome-org.freedesktop.PolicyKit.AuthenticationAgent.service
%_datadir/applications/polkit-gnome-authorization.desktop

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_libdir/lib*.so
%_pkgconfigdir/*.pc
%_includedir/*
%_datadir/gtk-doc/html/polkit-gnome

%files demo
%_bindir/polkit-gnome-example
%_datadir/PolicyKit/policy/org.gnome.policykit.examples.policy

%changelog
* Fri Aug 28 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt4
- closes: #21115

* Tue Aug 18 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt3
- fixed previous change (closes: #21115)

* Thu Jul 23 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt2
- fixes for dbus-glib-0.82

* Wed Jul 22 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Tue Apr 14 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt2
- apply a patch to fix applications using PolicyKit-gnome with widgets that only email clicked events

* Sun Aug 10 2008 Alexey Shabalin <shaba@altlinux.ru> 0.9-alt1
- release 0.9

* Mon Apr 21 2008 Alexey Shabalin <shaba@altlinux.ru> 0.8-alt1
- release 0.8
- show the menu item in other desktops too
- fix i18n (fedora patch1)
- drop other patches(upsteam fixed)

* Thu Apr 03 2008 Alexey Shabalin <shaba@altlinux.ru> 0.7-alt2
- add requires PolicyKit (#15132, #15133)
- define dir libexecdir as %%_prefix/libexec/PolicyKit

* Mon Mar 10 2008 Alexey Shabalin <shaba@altlinux.ru> 0.7-alt1
- initial build for ALTLinux

